/*********************************************************************
	Component	: oxf
	Model Element	: RiJActive
	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2008. All Rights Reserved.	
*********************************************************************/

package com.ibm.rational.rhapsody.oxf;

//## class RiJActive 
import java.lang.Runnable;

//----------------------------------------------------------------------------
// com/ibm/rational/rhapsody/oxf/RiJActive.java                                                                  
//----------------------------------------------------------------------------

//## package com::ibm::rational::rhapsody::oxf 


//## class RiJActive 
public interface RiJActive extends Runnable {
    
    
    /**
    Cancels the event. Method exists for compatibility with the C++ framework. The event get canceled weather it is in the queue or not.
    */
    // Argument RiJEvent i_event : 
    /**
    The event to be cancled.
    */
    //## operation cancelEvent(RiJEvent) 
    void cancelEvent(RiJEvent i_event);
    
    /**
    Inserts an event to the queue.
    */
    // Argument RiJEvent i_event : 
    /**
    The event to be queued
    */
    //## operation queueEvent(RiJEvent) 
    void queueEvent(RiJEvent i_event);
    
}

