package com.sodius.mdw.core;

/**
 * This exception is thrown to blow out of a long-running method 
 * when the user cancels it.
 * <p>
 * This class is not intended to be subclassed by clients but
 * may be instantiated.
 * </p>
 */
public class OperationCanceledException extends RuntimeException {

    /**
     * Constructs a <code>OperationCanceledException</code>
     */
    public OperationCanceledException() {
    }

}
