package com.sodius.mdw.core.eval;

import com.sodius.mdw.internal.core.eval.filter.FilteredRuntimeException;

/**
 * Thrown when the evaluation of an element (template, rule, script) fails.
 */
public class EvaluationException extends FilteredRuntimeException {
    
    /**
     * Constructs an <code>EvaluationException</code> with the specified detail message.
     * 
     * @param message the detail message.
     */
    public EvaluationException(String message) {
        super(message);
    }
    
    /**
     * Constructs an <code>EvaluationException</code> with the specified cause.
     * 
     * @param cause the cause.
     */
    public EvaluationException(Throwable cause) {
        super(cause);
    }
    
}
