package com.sodius.mdw.core.eval.project;

/**
 * A text template, used to generate files based on wysiwyg text.
 * 
 * <p>
 * This interface is not intended to be implemented by clients.
 * </p>
 * 
 * @see Project#getTextTemplates()
 */
public interface TextTemplate extends ProjectUnit {

    /**
     * Returns <code>true</code> if the template is a doc template.
     * 
     * @return <code>true</code> if the template is a doc template.
     * @since 2.1.0
     */
    public boolean isDocTemplate();
}
