package com.sodius.mdw.core.model.emf;

import org.eclipse.emf.ecore.EPackage;

import com.sodius.mdw.core.model.Metamodel;

/**
 * EMF based metamodel.
 * <p>
 * This interface is not intended to be implemented by clients.
 * </p>
 */
public interface EMFMetamodel extends Metamodel {

    /**
     * Returns the <code>EPackage</code> declaring this metamodel.
     * 
     * @return the <code>EPackage</code> declaring this metamodel.
     */
    public EPackage getEPackage();
}
