package com.sodius.mdw.core.model.emf;

import com.sodius.mdw.core.model.MDWList;

/**
 * EMF based <code>MDWList</code>, which provides facilities to invoke scripts on each <code>MDWObject</code> element of this list.
 * This interface acts as a bridge between MDWorkbench <code>MDWList</code> and EMF <code>Elist</code>
 * <p>
 * This interface is not intended to be implemented by clients.
 * </p>
 */
public interface MDWEList<E> extends MDWList<E> {

}
