package com.sodius.mdw.core.model.emf;

import com.sodius.mdw.core.model.MDWObject;

/**
 * EMF based <code>MDWObject</code>, which is the root of all model elements.
 * This interface acts as a bridge between MDWorkbench <code>MDWObject</code> and EMF <code>EModelElement</code>
 * <p>
 * This interface is not intended to be implemented by clients.
 * </p>
 */
public interface MDWEObject extends MDWObject {
    
}
