
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;


 /**
  * The IRPCollaborationDiagram interface represents collaboration diagrams in a Rational Rhapsody model.
  */
public interface IRPCollaborationDiagram  extends IRPDiagram {
	/**
 	 * Returns the IRPCollaboration object underlying the collaboration diagram.
 	 * @return the IRPCollaboration object underlying the collaboration diagram
 	 */
	public IRPCollaboration getLogicalCollaboration();
}

