
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;


 /**
  * The IRPConstraint interface represents constraints in a Rational Rhapsody model.
  */
public interface IRPConstraint  extends IRPAnnotation {
	/**
 	 * Returns all of the model elements affected by this constraint.
 	 * @return a collection of all the model elements affected by this constraint.
 	 */
	public IRPCollection getConstraintsByMe();
}

