
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPFlowItem  extends IRPClassifier {
	/**
	 * method addRepresented
	 * @throws RhapsodyRuntimeException
	 */
	public void addRepresented(IRPModelElement pElement);
	/**
	 * get property represented
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getRepresented();
	/**
	 * method removeRepresented
	 * @throws RhapsodyRuntimeException
	 */
	public void removeRepresented(IRPModelElement pElement);
}

