
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPGraphicalProperty {
	/**
	 * get property interfaceName
	 * @throws RhapsodyRuntimeException
	 */
	public String getInterfaceName();
	/**
	 * get property key
	 * @throws RhapsodyRuntimeException
	 */
	public String getKey();
	/**
	 * get property value
	 * @throws RhapsodyRuntimeException
	 */
	public String getValue();
}

