
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPImageMap {
	/**
	 * get property interfaceName
	 * @throws RhapsodyRuntimeException
	 */
	public String getInterfaceName();
	/**
	 * get property isGUID
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsGUID();
	/**
	 * get property name
	 * @throws RhapsodyRuntimeException
	 */
	public String getName();
	/**
	 * get property pictureFileName
	 * @throws RhapsodyRuntimeException
	 */
	public String getPictureFileName();
	/**
	 * get property points
	 * @throws RhapsodyRuntimeException
	 */
	public String getPoints();
	/**
	 * get property shape
	 * @throws RhapsodyRuntimeException
	 */
	public String getShape();
	/**
	 * get property target
	 * @throws RhapsodyRuntimeException
	 */
	public String getTarget();
}

