
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPInstanceSpecification  extends IRPModelElement {
	/**
	 * get property classifier
	 * @throws RhapsodyRuntimeException
	 */
	public IRPClassifier getClassifier();
	/**
	 * get property instanceSlots
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getInstanceSlots();
	/**
	 * set property classifier
	 * @throws RhapsodyRuntimeException
	 */
	public void setClassifier(IRPClassifier classifier);
}

