
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPInteractionOperand  extends IRPCollaboration {
	/**
	 * get property containedMessages
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getContainedMessages();
	/**
	 * get property interactionConstraint
	 * @throws RhapsodyRuntimeException
	 */
	public String getInteractionConstraint();
	/**
	 * set property interactionConstraint
	 * @throws RhapsodyRuntimeException
	 */
	public void setInteractionConstraint(String interactionConstraint);
}

