
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPPort  extends IRPInstance {
	/**
	 * method addRProvidedInterface
	 * @throws RhapsodyRuntimeException
	 */
	public void addProvidedInterface(IRPClass newVal);
	/**
	 * method addRequiredInterface
	 * @throws RhapsodyRuntimeException
	 */
	public void addRequiredInterface(IRPClass newVal);
	/**
	 * get property contract
	 * @throws RhapsodyRuntimeException
	 */
	public IRPClass getContract();
	/**
	 * get property isBehavioral
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsBehavioral();
	/**
	 * get property isReversed
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsReversed();
	/**
	 * get property providedInterfaces
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getProvidedInterfaces();
	/**
	 * get property requiredInterfaces
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getRequiredInterfaces();
	/**
	 * method removeProvidedInterface
	 * @throws RhapsodyRuntimeException
	 */
	public void removeProvidedInterface(IRPClass newVal);
	/**
	 * method removeRequiredInterface
	 * @throws RhapsodyRuntimeException
	 */
	public void removeRequiredInterface(IRPClass newVal);
	/**
	 * set property contract
	 * @throws RhapsodyRuntimeException
	 */
	public void setContract(IRPClass contract);
	/**
	 * set property isBehavioral
	 * @throws RhapsodyRuntimeException
	 */
	public void setIsBehavioral(int isBehavioral);
	/**
	 * set property isReversed
	 * @throws RhapsodyRuntimeException
	 */
	public void setIsReversed(int isReversed);
}

