
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPRhapsodyServer {
	/**
	 * getApplication
	 * @throws RhapsodyRuntimeException
	 */
	public IRPApplication getApplication();
	/**
	 * getHiddenApplication
	 * @throws RhapsodyRuntimeException
	 */
	public IRPApplication getHiddenApplication();
	/**
	 * get property interfaceName
	 * @throws RhapsodyRuntimeException
	 */
	public String getInterfaceName();
}

