
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPSearchQuery {
	/**
	 * get property includeDescendants
	 * @throws RhapsodyRuntimeException
	 */
	public int getIncludeDescendants();
	/**
	 * get property interfaceName
	 * @throws RhapsodyRuntimeException
	 */
	public String getInterfaceName();
	/**
	 * get property matchCase
	 * @throws RhapsodyRuntimeException
	 */
	public int getMatchCase();
	/**
	 * get property matchWholeWord
	 * @throws RhapsodyRuntimeException
	 */
	public int getMatchWholeWord();
	/**
	 * get property searchFindAsOption
	 * @throws RhapsodyRuntimeException
	 */
	public char getSearchFindAsOption();
	/**
	 * get property searchScopeObject
	 * @throws RhapsodyRuntimeException
	 */
	public IRPModelElement getSearchScopeObject();
	/**
	 * get property searchText
	 * @throws RhapsodyRuntimeException
	 */
	public String getSearchText();
	/**
	 * set property includeDescendants
	 * @throws RhapsodyRuntimeException
	 */
	public void setIncludeDescendants(int includeDescendants);
	/**
	 * set property matchCase
	 * @throws RhapsodyRuntimeException
	 */
	public void setMatchCase(int matchCase);
	/**
	 * set property matchWholeWord
	 * @throws RhapsodyRuntimeException
	 */
	public void setMatchWholeWord(int matchWholeWord);
	/**
	 * set property searchFindAsOption
	 * @throws RhapsodyRuntimeException
	 */
	public void setSearchFindAsOption(char searchFindAsOption);
	/**
	 * set property searchScopeObject
	 * @throws RhapsodyRuntimeException
	 */
	public void setSearchScopeObject(IRPModelElement searchScopeObject);
	/**
	 * set property searchText
	 * @throws RhapsodyRuntimeException
	 */
	public void setSearchText(String searchText);
}

