
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;


 /**
  * The IRPSequenceDiagram interface represents sequence diagrams in a Rational Rhapsody model.
  */
public interface IRPSequenceDiagram  extends IRPDiagram {
	/**
 	 * Returns the IRPCollaboration object underlying the sequence diagram.
 	 * @return the IRPCollaboration object underlying the sequence diagram
 	 */
	public IRPCollaboration getLogicalCollaboration();
	 /**
 	  * For internal use only.
 	  */
	public IRPCollection getRelatedUseCases();
}

