
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPSysMLPort  extends IRPInstance {
	/**
	 * method addLink
	 * @throws RhapsodyRuntimeException
	 */
	public IRPLink addLink(IRPInstance fromPart, IRPInstance toPart, IRPRelation assoc, IRPSysMLPort toPort, IRPPackage newOwner);
	/**
	 * get property isReversed
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsReversed();
	/**
	 * get property portDirection
	 * @throws RhapsodyRuntimeException
	 */
	public String getPortDirection();
	/**
	 * get property type
	 * @throws RhapsodyRuntimeException
	 */
	public IRPClassifier getType();
	/**
	 * set property isReversed
	 * @throws RhapsodyRuntimeException
	 */
	public void setIsReversed(int isReversed);
	/**
	 * set property portDirection
	 * @throws RhapsodyRuntimeException
	 */
	public void setPortDirection(String portDirection);
	/**
	 * set property type
	 * @throws RhapsodyRuntimeException
	 */
	public void setType(IRPClassifier type);
}

