/*********************************************************************
	Component	: oxf
	Model Element	: RiJTimerListener
	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2008. All Rights Reserved.	
*********************************************************************/

package com.ibm.rational.rhapsody.oxf.services;


//----------------------------------------------------------------------------
// com/ibm/rational/rhapsody/oxf/services/RiJTimerListener.java                                                                  
//----------------------------------------------------------------------------

//## package com::ibm::rational::rhapsody::oxf::services 


/**
An interface for receiving time notifications.
*/
//## class RiJTimerListener 
public interface RiJTimerListener {
    
    
    /**
    Called by the Timer in case it was interrupted.
    */
    //## operation handleTimerInterrupt(RiJSimpleTimer) 
    void handleTimerInterrupt(RiJSimpleTimer timer);
    
    //## operation notifyTime() 
    void notifyTime();
    
}

