/*********************************************************************
	Component	: oxf
	Model Element	: RiJStateConcept
	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2008. All Rights Reserved.	
*********************************************************************/

package com.ibm.rational.rhapsody.oxf.states;

//## dependency oxf 
import com.ibm.rational.rhapsody.oxf.*;
//## operation gen(RiJEvent) 
import com.ibm.rational.rhapsody.oxf.RiJEvent;
//## class RiJStateConcept 
import com.ibm.rational.rhapsody.oxf.RiJEventConsumer;

//----------------------------------------------------------------------------
// com/ibm/rational/rhapsody/oxf/states/RiJStateConcept.java                                                                  
//----------------------------------------------------------------------------

//## package com::ibm::rational::rhapsody::oxf::states 


//## class RiJStateConcept 
public interface RiJStateConcept extends RiJEventConsumer {
    
    
    /**
    create new event and queue it
    */
    //## operation gen(RiJEvent) 
    void gen(RiJEvent event);
    
    //## operation getEventConsumer() 
    RiJEventConsumer getEventConsumer();
    
    //## operation queueEvent(RiJEvent) 
    void queueEvent(RiJEvent event);
    
    //## operation startBehavior() 
    boolean startBehavior();
    
}

