/*********************************************************************
	Component	: oxf
	Model Element	: RiJTimeoutComparator
	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2008. All Rights Reserved.	
*********************************************************************/

package com.ibm.rational.rhapsody.oxf.timeouts;

//## class RiJTimeoutComparator 
import java.util.Comparator;

//----------------------------------------------------------------------------
// com/ibm/rational/rhapsody/oxf/timeouts/RiJTimeoutComparator.java                                                                  
//----------------------------------------------------------------------------

//## package com::ibm::rational::rhapsody::oxf::timeouts 


//## class RiJTimeoutComparator 
public class RiJTimeoutComparator implements Comparator {
    
    
    // Constructors
    
    public  RiJTimeoutComparator() {
    }
    
    //## operation compare(Object,Object) 
    public int compare(Object o1, Object o2) {
        //#[ operation compare(Object,Object) 
        RiJTimeout tm1 = (RiJTimeout)o1;
        RiJTimeout tm2 = (RiJTimeout)o2;
        if (tm1.equals(tm2)) return 0;
        if (tm1.gt(tm2)) return 1;
        return -1;
        //#]
    }
    
    /**
    Compares timeouts. Used by RiJTimerManager maps.
    */
    //## operation equals(Object) 
    public boolean equals(Object obj) {
        //#[ operation equals(Object) 
        if (obj instanceof RiJTimeoutComparator) 
          return true;
        return false;
        //#]
    }
    
}

