/*********************************************************************
	Component	: oxfInstMock
	Model Element	: AnimServices
	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2008. All Rights Reserved.	
*********************************************************************/

package com.ibm.rational.rhapsody.oxfinst;

import java.util.*;
import com.ibm.rational.rhapsody.oxf.*;
import com.ibm.rational.rhapsody.oxf.states.*;

//----------------------------------------------------------------------------
// com/ibm/rational/rhapsody/oxfinst/AnimServices.java                                                                  
//----------------------------------------------------------------------------

//## package com::ibm::rational::rhapsody::oxfinst 


//## class AnimServices 
public class AnimServices {
    
    protected static boolean animationInitialized = false;		//## attribute animationInitialized 
    
    
    // Constructors
    
    public  AnimServices() {
    }
    
    //## operation initAnimEvent(RiJEvent,Thread) 
    public static RiJEvent initAnimEvent(RiJEvent event, Thread theThread) {
        //#[ operation initAnimEvent(RiJEvent,Thread) 
        return event;
        
        //#]
    }
    
    //## operation initAnimEventSent(RiJEvent) 
    public static void initAnimEventSent(RiJEvent event) {
        //#[ operation initAnimEventSent(RiJEvent) 
        //#]
    }
    
    //## operation initAnimEventTaken(RiJEvent) 
    public static RiJEvent initAnimEventTaken(RiJEvent event) {
        //#[ operation initAnimEventTaken(RiJEvent) 
        return event;
        
        //#]
    }
    
    /**
    Initialized communications with the animation browser.
    */
    //## operation initAnimSession() 
    public static void initAnimSession() {
        //#[ operation initAnimSession() 
        //#]
    }
    
    /**
    Initialized communications with the animation browser.
    */
    // Argument String hostname : 
    /**
    The hostname.
    */
    // Argument int portNumber : 
    /**
    The port number.
    */
    //## operation initAnimSession(String,int,boolean) 
    public static void initAnimSession(String hostname, int portNumber, boolean suspendResumeByDebugger) {
        //#[ operation initAnimSession(String,int,boolean) 
        //#]
    }
    
    //## operation initAnimThread(RiJThread) 
    public static void initAnimThread(RiJThread theThread) {
        //#[ operation initAnimThread(RiJThread) 
        //#]
    }
    
    //## operation isAnimThreadSuspended(RiJThread) 
    public static boolean isAnimThreadSuspended(RiJThread theThread) {
        //#[ operation isAnimThreadSuspended(RiJThread) 
        // no animation to suspend thread
        return false;
        //#]
    }
    
    /**
    After the dispatching of the event is done, the thread should be notified on it in the animation.
    */
    // Argument RiJThread theThread : 
    /**
    The relevant thread instance.
    */
    //## operation notifyEvent(RiJThread) 
    public static void notifyEvent(RiJThread theThread) {
        //#[ operation notifyEvent(RiJThread) 
        //#]
    }
    
    /**
    When there are no more events to handle the RiJThread is said to be idle.
    */
    // Argument RiJThread theThread : 
    /**
    The relevant thread instance.
    */
    //## operation notifyIdle(RiJThread) 
    public static void notifyIdle(RiJThread theThread) {
        //#[ operation notifyIdle(RiJThread) 
        //#]
    }
    
    /**
    When there are no more events to handle the RiJThread is said to be idle.
    */
    // Argument Thread theThread : 
    /**
    The relevant thread instance.
    */
    //## operation notifyIdle(Thread) 
    public static void notifyIdle(Thread theThread) {
        //#[ operation notifyIdle(Thread) 
        //#]
    }
    
    //## operation notifyNullTransition(RiJStateReactive) 
    public static void notifyNullTransition(RiJStateReactive reactive) {
        //#[ operation notifyNullTransition(RiJStateReactive) 
        //#]
    }
    
    //## operation setInstanceName(Object,String) 
    public static void setInstanceName(Object theInstance, String theName) {
        //#[ operation setInstanceName(Object,String) 
        //#]
    }
    
    //## operation setInstanceName(Object,String,int) 
    public static void setInstanceName(Object theInstance, String theName, int theIndex) {
        //#[ operation setInstanceName(Object,String,int) 
        //#]
    }
    
    //## operation switchJavaThread(Thread,Thread) 
    public static void switchJavaThread(Thread oldThread, Thread newThread) {
        //#[ operation switchJavaThread(Thread,Thread) 
        //#]
    }
    
    /**
    Things to do when thread starts - mainly set the "name" in the tom so the browser will show the active instance name.
    */
    //## operation threadStart(RiJThread,Runnable) 
    public static void threadStart(RiJThread theThread, Runnable runnable) {
        //#[ operation threadStart(RiJThread,Runnable) 
        //#]
    }
    
    public static boolean isAnimationInitialized() {
        return animationInitialized;
    }
    
    public static void setAnimationInitialized(boolean p_animationInitialized) {
        animationInitialized = p_animationInitialized;
    }
    
}

