--
-- Parametric Constraints Evaluator
-- MsmtKWLexer.gi
--
-- MATLAB Symbolic Math Toolbox Expression Key Word Lexer
--
-- (C) Copyright IBM Corp. 2010. All rights reserved.
--
-- Author sakairi
-- Version 2010/03/04
--

%options package=com.ibm.rhapsody.pce.msmt.parser
%options template=KeywordTemplateF.gi

%Include
    KWLexerLowerCaseMapF.gi
%End

%Export
    i
    pi
%End

%Terminals
    a    b    c    d    e    f    g    h    i    j    k    l    m
    n    o    p    q    r    s    t    u    v    w    x    y    z
    _
%End

%Start
    -- The Goal for the parser is a single Keyword
    Keyword
%End

%Rules
    Keyword ::= i              /.$setResult($_i);./
              | p i            /.$setResult($_pi);./
%End
