package com.sodius.mdw.core.eval;

/**
 * Thrown when the script call is ambiguous, i.e. the script is defined on more than one super type.
 * @see com.sodius.mdw.core.model.MDWObject#superScript(String)
 */
public class AmbiguousScriptException extends InvalidCallException {

    /**
     * Constructs an <code>AmbiguousScriptException</code> with the specified detail message.
     * 
     * @param message the detail message.
     */
    public AmbiguousScriptException(String message) {
        super(message);
    }

}
