package com.sodius.mdw.core.eval.debug;

import java.util.Collection;

/**
 * Description of a collection of <code>MDWObject</code> elements used during the evaluation.
 * 
 * <p>
 * This interface is not intended to be implemented by clients.
 * </p>
 */
public interface MDWObjectCollectionValue extends DebugValue {

    /**
     * Return the collection of model elements used.
     * 
     * @return a unmodifiable collection of <code>MDWObjectValue</code> elements.
     */
    public Collection<MDWObjectValue> getInstances();
}
