package com.sodius.mdw.core.eval.scripts;

import com.sodius.mdw.core.model.MDWObject;

/**
 * Base class for Java <code>MDWObject</code> script container.
 * 
 * <p>
 * This class is not intended to be subclasses by clients.
 * </p>
 */
public abstract class MDWObjectScriptContainer extends ScriptContainer {

    /**
     * The <code>MDWObject</code> referenced as <code>self</code> (the receiver of scripts).
     */
    protected MDWObject self;
}
