
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;


 /**
  * The IRPActivityDiagram interface represents activity diagrams in Rational Rhapsody models.
  */
public interface IRPActivityDiagram  extends IRPStatechartDiagram {
	/**
 	 * Returns the IRPFlowchart object underlying the activity diagram.
 	 * @return the IRPFlowchart object underlying the activity diagram
 	 */
	public IRPFlowchart getFlowchart();
}

