
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPClassifierRole  extends IRPModelElement {
	/**
	 * get property formalClassifier
	 * @throws RhapsodyRuntimeException
	 */
	public IRPClassifier getFormalClassifier();
	/**
	 * get property formalInstance
	 * @throws RhapsodyRuntimeException
	 */
	public IRPInstance getFormalInstance();
	/**
	 * get property referencedSequenceDiagram
	 * @throws RhapsodyRuntimeException
	 */
	public IRPSequenceDiagram getReferencedSequenceDiagram();
	/**
	 * method getReferencingClassifierRolesRecursively
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getReferencingClassifierRolesRecursively();
	/**
	 * get property roleType
	 * @throws RhapsodyRuntimeException
	 */
	public String getRoleType();
	/**
	 * set property formalClassifier
	 * @throws RhapsodyRuntimeException
	 */
	public void setFormalClassifier(IRPClassifier formalClassifier);
	/**
	 * set property formalInstance
	 * @throws RhapsodyRuntimeException
	 */
	public void setFormalInstance(IRPInstance formalInstance);
	/**
	 * set property referencedSequenceDiagram
	 * @throws RhapsodyRuntimeException
	 */
	public void setReferencedSequenceDiagram(IRPSequenceDiagram referencedSequenceDiagram);
}

