
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPContextSpecification  extends IRPValueSpecification {
	/**
	 * get property multiplicities
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getMultiplicities();
	/**
	 * get property value
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getValue();
	/**
	 * set property multiplicities
	 * @throws RhapsodyRuntimeException
	 */
	public void setMultiplicities(IRPCollection multiplicities);
	/**
	 * set property value
	 * @throws RhapsodyRuntimeException
	 */
	public void setValue(IRPCollection value);
}

