
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPEvent  extends IRPInterfaceItem {
	/**
	 * get property baseEvent
	 * @throws RhapsodyRuntimeException
	 */
	public IRPEvent getBaseEvent();
	/**
	 * get property baseEvent
	 * @throws RhapsodyRuntimeException
	 */
	public IRPEvent getSuperEvent();
	/**
	 * set property baseEvent
	 * @throws RhapsodyRuntimeException
	 */
	public void setBaseEvent(IRPEvent baseEvent);
	/**
	 * set property baseEvent
	 * @throws RhapsodyRuntimeException
	 */
	public void setSuperEvent(IRPEvent superEvent);
}

