
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPHyperLink  extends IRPDependency {
	/**
	 * getDisplayOption
	 * @throws RhapsodyRuntimeException
	 */
	public void getDisplayOption(char pVal, String pDisplayName);
	/**
	 * get property target
	 * @throws RhapsodyRuntimeException
	 */
	public IRPModelElement getTarget();
	/**
	 * get property URL
	 * @throws RhapsodyRuntimeException
	 */
	public String getURL();
	/**
	 * setDisplayOption
	 * @throws RhapsodyRuntimeException
	 */
	public void setDisplayOption(char newVal, String newDisplayName);
	/**
	 * set property target
	 * @throws RhapsodyRuntimeException
	 */
	public void setTarget(IRPModelElement target);
	/**
	 * set property URL
	 * @throws RhapsodyRuntimeException
	 */
	public void setURL(String uRL);
}

