
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPLink  extends IRPUnit {
	/**
	 * get property end1Multiplicity
	 * @throws RhapsodyRuntimeException
	 */
	public String getEnd1Multiplicity();
	/**
	 * get property end1Name
	 * @throws RhapsodyRuntimeException
	 */
	public String getEnd1Name();
	/**
	 * get property end2Multiplicity
	 * @throws RhapsodyRuntimeException
	 */
	public String getEnd2Multiplicity();
	/**
	 * get property end2Name
	 * @throws RhapsodyRuntimeException
	 */
	public String getEnd2Name();
	/**
	 * get property from
	 * @throws RhapsodyRuntimeException
	 */
	public IRPInstance getFrom();
	/**
	 * get property fromElement
	 * @throws RhapsodyRuntimeException
	 */
	public IRPModelElement getFromElement();
	/**
	 * get property fromPort
	 * @throws RhapsodyRuntimeException
	 */
	public IRPPort getFromPort();
	/**
	 * get property fromSysMLPort
	 * @throws RhapsodyRuntimeException
	 */
	public IRPSysMLPort getFromSysMLPort();
	/**
	 * get property instantiates
	 * @throws RhapsodyRuntimeException
	 */
	public IRPRelation getInstantiates();
	/**
	 * get property other
	 * @throws RhapsodyRuntimeException
	 */
	public IRPLink getOther();
	/**
	 * get property to
	 * @throws RhapsodyRuntimeException
	 */
	public IRPInstance getTo();
	/**
	 * get property toElement
	 * @throws RhapsodyRuntimeException
	 */
	public IRPModelElement getToElement();
	/**
	 * get property toPort
	 * @throws RhapsodyRuntimeException
	 */
	public IRPPort getToPort();
	/**
	 * get property toSysMLPort
	 * @throws RhapsodyRuntimeException
	 */
	public IRPSysMLPort getToSysMLPort();
	/**
	 * set property end1Multiplicity
	 * @throws RhapsodyRuntimeException
	 */
	public void setEnd1Multiplicity(String end1Multiplicity);
	/**
	 * set property end1Name
	 * @throws RhapsodyRuntimeException
	 */
	public void setEnd1Name(String end1Name);
	/**
	 * set property end2Multiplicity
	 * @throws RhapsodyRuntimeException
	 */
	public void setEnd2Multiplicity(String end2Multiplicity);
	/**
	 * set property end2Name
	 * @throws RhapsodyRuntimeException
	 */
	public void setEnd2Name(String end2Name);
}

