
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPSearchManager {
	/**
	 * method Create search query
	 * @throws RhapsodyRuntimeException
	 */
	public IRPSearchQuery createSearchQuery();
	/**
	 * method Search
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection search(IRPSearchQuery pSearchQuery);
	/**
	 * method SearchAndShowResults
	 * @throws RhapsodyRuntimeException
	 */
	public void searchAndShowResults(IRPSearchQuery pSearchQuery);
	/**
	 * method SearchAsync
	 * @throws RhapsodyRuntimeException
	 */
	public void searchAsync(IRPSearchQuery pSearchQuery);
	/**
	 * get property interfaceName
	 * @throws RhapsodyRuntimeException
	 */
	public String getInterfaceName();
}

