
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPSendAction  extends IRPAction {
	/**
	 * method addArgumentValue
	 * @throws RhapsodyRuntimeException
	 */
	public void addArgumentValue(String value, int position);
	/**
	 * get property argVals
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getArgVals();
	/**
	 * get property event
	 * @throws RhapsodyRuntimeException
	 */
	public IRPEvent getEvent();
	/**
	 * get property target
	 * @throws RhapsodyRuntimeException
	 */
	public IRPModelElement getTarget();
	/**
	 * set property event
	 * @throws RhapsodyRuntimeException
	 */
	public void setEvent(IRPEvent event);
	/**
	 * set property target
	 * @throws RhapsodyRuntimeException
	 */
	public void setTarget(IRPModelElement target);
}

