
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPTableView  extends IRPUnit {
	/**
	 * method GetImageCollection
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getImageCollection(String sFolder, String sFilename, String sExtension);
	/**
	 * method GetItsTableLayout
	 * @throws RhapsodyRuntimeException
	 */
	public IRPTableLayout getItsTableLayout();
	/**
	 * method GetScope
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getScope();
	/**
	 * method SetItsTableLayout
	 * @throws RhapsodyRuntimeException
	 */
	public void setItsTableLayout(IRPTableLayout pVal);
	/**
	 * method SetScope
	 * @throws RhapsodyRuntimeException
	 */
	public void setScope(IRPCollection pCollection);
	/**
	 * get property includeDescendants
	 * @throws RhapsodyRuntimeException
	 */
	public int getIncludeDescendants();
	/**
	 * get property reserve1
	 * @throws RhapsodyRuntimeException
	 */
	public String getReserve1();
	/**
	 * set property includeDescendants
	 * @throws RhapsodyRuntimeException
	 */
	public void setIncludeDescendants(int includeDescendants);
}

